NullConfigurer (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration, class: NullConfigurer

Package org.apache.cxf.configuration

# Class NullConfigurer

java.lang.Object
org.apache.cxf.configuration.NullConfigurer

All Implemented Interfaces:
  `Configurer`

public class NullConfigurer extends Object implements Configurer

- ## Field Summary

  ### Fields inherited from interface org.apache.cxf.configuration.Configurer

  `DEFAULT_USER_CFG_FILE, USER_CFG_FILE_PROPERTY_NAME, USER_CFG_FILE_PROPERTY_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullConfigurer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configureBean(Object beanInstance)`
  set up the Bean's value by using Dependency Injection from the application context
  `void`
  `configureBean(String name, Object beanInstance)`
  set up the Bean's value by using Dependency Injection from the application context with a proper name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullConfigurer

    public NullConfigurer()

- ## Method Details

  - ### configureBean

    public void configureBean(Object beanInstance)
    Description copied from interface: `Configurer`
    set up the Bean's value by using Dependency Injection from the application context
    Specified by:
      `configureBean` in interface `Configurer`
    Parameters:
      `beanInstance` - the instance of the bean which needs to be configured

  - ### configureBean

    public void configureBean(String name, Object beanInstance)
    Description copied from interface: `Configurer`
    set up the Bean's value by using Dependency Injection from the application context with a proper name. You can use * as the prefix of wildcard name.
    Specified by:
      `configureBean` in interface `Configurer`
    Parameters:
      `name` - the name of the bean which needs to be configured
      `beanInstance` - the instance of bean which need to be configured